cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"app_id": "<string>",
"async_parent_execution_id": "<string>",
"cancel_reason": "<string>",
"created_at": 123,
"created_by": "<string>",
"ctrl_id": "<string>",
"draft_execution_number": 123,
"engine_v2_compile_error": "<string>",
"engine_version": "<string>",
"error_details": {},
"execution_depth": 123,
"execution_number": 123,
"finished_at": 123,
"id": "<string>",
"last_playbook_name": "<string>",
"name": "<string>",
"net_runtime_ms": 123,
"parent_execution_id": "<string>",
"playbook": "<string>",
"playbook_id": "<string>",
"runner_cluster_version": "<string>",
"runner_group_id": "<string>",
"runner_id": "<string>",
"runner_version": "<string>",
"started_at": 123,
"state": "<string>",
"state_ui": "<string>",
"step_results": {},
"tenant_id": "<string>",
"test_session_id": "<string>",
"timeout": 123,
"top_execution_id": "<string>",
"top_execution_started_at": 123,
"trigger_type": "<string>",
"type": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"version": "<string>",
"with_concurrency_limit": true,
"workspace_id": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Executions
List playbook executions with filtering
API endpoint to list playbook executions with optional filtering parameters.
GET
/
workspace
/
{ws_id}
/
executions
cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"app_id": "<string>",
"async_parent_execution_id": "<string>",
"cancel_reason": "<string>",
"created_at": 123,
"created_by": "<string>",
"ctrl_id": "<string>",
"draft_execution_number": 123,
"engine_v2_compile_error": "<string>",
"engine_version": "<string>",
"error_details": {},
"execution_depth": 123,
"execution_number": 123,
"finished_at": 123,
"id": "<string>",
"last_playbook_name": "<string>",
"name": "<string>",
"net_runtime_ms": 123,
"parent_execution_id": "<string>",
"playbook": "<string>",
"playbook_id": "<string>",
"runner_cluster_version": "<string>",
"runner_group_id": "<string>",
"runner_id": "<string>",
"runner_version": "<string>",
"started_at": 123,
"state": "<string>",
"state_ui": "<string>",
"step_results": {},
"tenant_id": "<string>",
"test_session_id": "<string>",
"timeout": 123,
"top_execution_id": "<string>",
"top_execution_started_at": 123,
"trigger_type": "<string>",
"type": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"version": "<string>",
"with_concurrency_limit": true,
"workspace_id": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
The ID of the workspace containing the executions
Query Parameters
Was this page helpful?